# $Revision: 1.18 $, $Date: 2012/03/05 06:25:34 $
Summary:	X.org input driver for MicroTouch devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla urządzeń MicroTouch
Name:		xorg-driver-input-mutouch
Version:	1.3.0
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mutouch-%{version}.tar.bz2
# Source0-md5:	d84374b3eecc2d7156f5b694e79f66ac
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
BuildRequires:  rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for MicroTouch devices.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla urządzeń MicroTouch.

%prep
%setup -q -n xf86-input-mutouch-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/input/mutouch_drv.so
%{_mandir}/man4/mutouch.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-input-mutouch.spec,v $
Revision 1.18  2012/03/05 06:25:34  arekm
- release 3

Revision 1.17  2011/08/27 09:00:44  arekm
- release 2

Revision 1.16  2011/06/28 19:11:44  qboosh
- updated to 1.3.0

Revision 1.15  2010/08/29 07:15:34  qboosh
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

Revision 1.14  2009/10/02 08:27:08  arekm
- release 3

Revision 1.13  2009/02/25 21:14:58  arekm
- release 2

Revision 1.12  2008/10/02 06:19:40  arekm
- up to 1.2.1

Revision 1.11  2008/07/01 16:05:27  arekm
- release 2

Revision 1.10  2008-05-10 08:06:16  qboosh
- updated to 1.2.0

Revision 1.9  2007-09-06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.8  2007/09/06 16:16:38  arekm
- track xserver input deps

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.5  2006/04/10 14:02:21  qboosh
- updated to 1.1.0

Revision 1.4  2006/01/05 15:19:23  qboosh
- 1.0.0.5 (X11R7.0 release)

Revision 1.3  2005/12/06 15:51:20  qboosh
- 1.0.0.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 12:48:02  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/28 23:36:43  qboosh
- new
